Api reference
Get envelope analytics
Counts, completion rate, recent activity, status breakdown.
GET
/workspaces/{workspaceId}/envelopes/analytics/statsAuthorization
bearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/workspaces/{workspaceId}/envelopes/analytics/stats"{
"success": true,
"statusCode": 100,
"message": "string",
"details": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string",
"responseTime": "string",
"meta": {
"currentPage": 1,
"totalPages": 1,
"totalItems": 0,
"itemsPerPage": 1
},
"data": {
"overview": {
"totalEnvelopes": 0,
"completedCount": 0,
"pendingCount": 0,
"draftCount": 0,
"voidedCount": 0,
"declinedCount": 0,
"expiredCount": 0,
"completionRate": 0,
"totalRecipients": 0,
"signedRecipients": 0,
"avgSigningDays": 0
},
"trends": {
"today": 0,
"thisWeek": 0,
"thisMonth": 0,
"thisYear": 0,
"last30Days": [
{
"date": "string",
"count": 0
}
]
},
"statusBreakdown": [
{
"status": "string",
"count": 0
}
],
"recentActivity": [
{
"id": "string",
"title": "string",
"status": "string",
"createdAt": "string",
"recipientCount": 0,
"completedRecipients": 0
}
],
"deltas": {
"periodDays": 0,
"totalEnvelopes": {
"current": 0,
"previous": 0,
"delta": 0,
"deltaPercent": 0,
"insufficientData": true
},
"completed": {
"current": 0,
"previous": 0,
"delta": 0,
"deltaPercent": 0,
"insufficientData": true
},
"completionRate": {
"current": 0,
"previous": 0,
"delta": 0,
"deltaPercent": 0,
"insufficientData": true
}
}
}
}Empty
Empty